!(function ($, window, document, _undefined) {
	'use strict';

	XF.WfFullWidth = XF.Element.newHandler({
		eventNameSpace: 'XFWfFullWidth',

		options: {
			target: null,
			styleWidthTarget: '.wf_container',
			styleWidthFooter: '.p-footer-inner',
			headerWidth: '.p-header-inner',
			navbarWidth: '.p-nav-inner',
			sectionLinksWidth: '.p-sectionLinks-inner',
			styleWidthTarget3: '.p-body-content',
		},

		init: function () {
			this.$target.on('change', $.proxy(this, 'checked'));
		},

		checked: function (e) {
			e.preventDefault();

			var t = this;
			var styleWidthValue = t.$target[0].value;
			var containerTarget = $(t.options.styleWidthTarget)[0];
			var containerFooter = $(t.options.containerFooter)[0];
			var headerWidth = $(t.options.headerWidth)[0];
			var navbarWidth = $(t.options.navbarWidth)[0];
			var sectionLinksWidth = $(t.options.sectionLinksWidth)[0];
			const cookieName = 'wf_style_width';
			if (styleWidthValue == 1) {
				XF.Cookie.set(escape(cookieName), '100%');
			} else {
				XF.Cookie.set(escape(cookieName), '1200px');
			}
			containerTarget.style.width = XF.Cookie.get(cookieName);
			containerFooter.style.maxWidth = XF.Cookie.get(cookieName);
			headerWidth.style.maxWidth = XF.Cookie.get(cookieName);
			navbarWidth.style.maxWidth = XF.Cookie.get(cookieName);
			sectionLinksWidth.style.maxWidth = XF.Cookie.get(cookieName);
			// console.log(containerTarget);
		},
	});

	XF.WfHideShowSideBar = XF.Element.newHandler({
		eventNameSpace: 'XFWfHideShowSideBar',

		options: {
			target: null,
			sideBarTarget: '.p-body-sidebar',
			sideBarTarget2: '.p-body-sidebarCol',
			contentTarget: '.p-body-content',
		},

		init: function () {
			this.$target.on('change', $.proxy(this, 'checked'));
		},

		checked: function (e) {
			e.preventDefault();

			var t = this;
			var styleWidthValue = t.$target[0].value;
			var containerTarget = $(t.options.sideBarTarget)[0];
			var containerTarget2 = $(t.options.sideBarTarget2)[0];
			var newWidth = containerTarget.clientWidth;
			const sidebarWf1 = 'wf_showhide_sidebar';
			const sidebarWf2 = 'wf_width_sidebar';
			if (styleWidthValue == 1) {
				XF.Cookie.set(escape(sidebarWf1), 'none');
				XF.Cookie.set(escape(sidebarWf2), '0');
			} else {
				XF.Cookie.set(escape(sidebarWf1), 'block');
				XF.Cookie.set(escape(sidebarWf2), '250px');
			}
			containerTarget.style.display = XF.Cookie.get(sidebarWf1);
			containerTarget2.style.width = XF.Cookie.get(sidebarWf2);
			console.log(containerTarget.style);
		},
	});

	XF.WfChangeBg = XF.Element.newHandler({
		eventNameSpace: 'WfChangeBg',

		options: {
			target: null,
			contentTarget: '.p-body',
		},

		init: function () {
			this.$target.on('click', $.proxy(this, 'click'));
		},

		click: function (e) {
			var t = this.$target[0];
			var selectedColor = t.dataset.colorValue;
			var bgColor = $(this.options.contentTarget)[0];
			var classes = ['color1', 'color2', 'color3', 'color4', 'color5'];
			const bgColorCookie = 'wf_bg_color';
			bgColor.className = '';
			bgColor.classList.add('p-body', selectedColor);
			XF.Cookie.set(escape(bgColorCookie), selectedColor);
			console.log(bgColor);
		},
	});

	XF.Element.register('wf-full-width', 'XF.WfFullWidth');
	XF.Element.register('wf-hideshow-sidebar', 'XF.WfHideShowSideBar');
	XF.Element.register('wf-change-bg', 'XF.WfChangeBg');
})(jQuery, window, document);
XF.Cookie.get('xf_style_width');
